--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSRPROPERTY','ASSET','PLUSRPROPERTY','assetnum = :assetnum and siteid = :siteid and quantity > 0','Relationship used to find the Property for an Asset.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSRVPROPERTY','ASSET','PLUSRVPROPERTY',NULL,'Relationship to PlusRVProperty',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;


INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRASSET','PLUSRIAPRO','Add Property Record',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRASSET',
                                                                                'PLUSRIAPRO',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRASSET')
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRASSET','PLUSRCRTTR','Create Property Transactions',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRASSET',
                                                                                'PLUSRCRTTR',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRASSET')
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRASSET','PLUSRPRHIS','Property History',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRASSET',
                                                                                'PLUSRPRHIS',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRASSET')
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRASSET','PLUSRCAUII','Capture UIIs',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRASSET',
                                                                                'PLUSRCAUII',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRASSET')
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRASSET','PLUSRASUII','Assign / Mark UIIs',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRASSET',
                                                                                'PLUSRASUII',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRASSET')
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRASSET','PLUSRCRPLD','Create Property Upload Files',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRASSET',
                                                                                'PLUSRCRPLD',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRASSET')
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRASSET','PLUSRVWPLD','View Property Upload Files',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRASSET',
                                                                                'PLUSRVWPLD',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRASSET')
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusr.app.asset.PlusRAssetSet'
      WHERE OBJECTNAME = 'ASSET'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusr.app.asset.PlusRAssetSet'
      WHERE OBJECTNAME = 'ASSET'
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusr.app.contract.PlusRContCommoditySet'
      WHERE OBJECTNAME = 'CONTCOMMODITY'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusr.app.contract.PlusRContCommoditySet'
      WHERE OBJECTNAME = 'CONTCOMMODITY'
;

--*[300108]Translation Ratio: 100% (35/35 statements were translated successfully)

--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

DELETE FROM SIGOPTION
      WHERE APP = 'PLUSRGVCON'
            AND OPTIONNAME = 'RUNREPORTS'
;

DELETE FROM MAXMENU
      WHERE MODULEAPP = 'PLUSRGVCON'
            AND KEYVALUE = 'RUNREPORTS'
;

DELETE FROM APPLICATIONAUTH
      WHERE APP = 'PLUSRGVCON'
            AND OPTIONNAME = 'RUNREPORTS'
;

--*[300108]Translation Ratio: 100% (3/3 statements were translated successfully)