--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACCEPTANCEDATE','PLUSRPROPTRANS','ACCEPTANCEDATE','ACCEPTANCEDATE',NULL,990,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date that the item is accepted by the Government entity.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Acceptance Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACCEPTANCECODE','PLUSRPROPTRANS','ACCEPTANCECODE','ACCEPTANCECODE',NULL,991,'ALN',6,0,0,0,NULL,NULL,0,0,'DoDAAC of the Government entity that accepted the item.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Acceptance Code',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACTION','PLUSRPROPTRANS','ACTION','ACTION',NULL,993,'UPPER',3,0,0,0,NULL,NULL,0,0,'Identifies the action taken against a mark. Select from the following ist: ADD - Mark is added, not previously reported, RMV - Mark is removed (Only available if  RecordType = "E") RPL - Associated UII Mark is replaced with a  physical mark. (Only available if  RecordType = "E")',NULL,'Action',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACTIONTYPE','PLUSRPROPTRANS','ACTIONTYPE','ACTIONTYPE',NULL,994,'UPPER',3,0,0,0,NULL,NULL,0,0,'Identifies the action taken when an item is moved from one location or contract to another. Select from the following list: SND - Provides the ship date only REC - Provides the received date only BTH - Provides the ship date and received BOTH',NULL,'Action Type',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACTIVITYTYPE','PLUSRPROPTRANS','ACTIVITYTYPE','ACTIVITYTYPE',NULL,995,'UPPER',3,0,0,0,NULL,NULL,0,0,'Identifies the type of custody change that is being recorded.  Select from the following list:  GFP',NULL,'Activity Type',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CATEGORYCODE','PLUSRPROPTRANS','CATEGORYCODE','CATEGORYCODE',NULL,999,'UPPER',1,0,0,0,NULL,NULL,0,0,'"Used when recording change in custody of GFP.  Must be one of the following codes  ""E"" - Equipment: A tangible article of personal property that is complete in-and-of itself, durable, nonexpendable, and needed for the performance of a contract.  Equipment generally has an expected service life of one year or more, and does not ordinarily lose its identity or become a component part of another article when put into use.
 
""M"" - Material: Property that may be consumed or expended during the performance of a contract, component parts of a higher assembly, or items that lose their individual identity through incorporation into an end-item.  Material does not include Equipment, Special Tooling, Special Test Equipment, or Unique Federal Property."',NULL,'Category Code',NULL,1,0,'PLUSRCATCODE',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','COMPLIANTMARK','PLUSRPROPTRANS','COMPLIANTMARK','COMPLIANTMARK',NULL,1000,'YORN',1,0,1,0,NULL,NULL,1,0,'Flag that states whether the UII is marked on the item in compliance with IUID Policy. Select from the following list: Y - Marked in compliance; N - Not marked in compliance','0','Compliant Mark',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','COUNT','PLUSRPROPTRANS','COUNT','COUNT',NULL,1001,'INTEGER',12,0,1,0,NULL,NULL,1,0,'Default Value is 0, will increment by 1 for each Row here TYPE is NOT NULL','0','UII Count',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CURRENCYCODE','PLUSRPROPTRANS','CURRENCYCODE','CURRENCYCODE',NULL,1002,'UPPER',8,0,0,0,'CURRENCY','CURRENCYCODE',0,0,'International Organization of Standardization code from ISO 4217 representing the currency unit of Acquisition Cost.  Will default to "USD" if Acquisition Cost is provided and Foreign Currency Code is not.',NULL,'Currency Code',NULL,1,0,NULL,'psdi.app.currency.FldCurrencyCode',0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CURRENTPARTDATE','PLUSRPROPTRANS','CURRENTPARTDATE','CURRENTPARTDATE',NULL,1003,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date the item was modified or changed to the current part number from a previous part number.  Must be provided if Current Part Number is provided.',NULL,'Current Part Number Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CURRENTPARTNUMBER','PLUSRPROPTRANS','CURRENTPARTNUMBER','CURRENTPARTNUMBER',NULL,1004,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'Used only if the item''s current part number is different from the Original Part Number.  Must be provided if Current Part Number Effective Date is provided.',NULL,'Current Part Number',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransCurrentPartNumber',0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','DIRECTIONFLAG','PLUSRPROPTRANS','DIRECTIONFLAG','DIRECTIONFLAG',NULL,1006,'UPPER',1,0,0,0,NULL,NULL,0,0,'Identifies the recipient of the item when it is moved from one location or contract to another.  Select from the following list: G- Government C-Contractor',NULL,'Direction Flag',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPCONTRACTNUMBER','PLUSRPROPTRANS','GFPCONTRACTNUMBER','GFPCONTRACTNUMBER',NULL,1008,'UPPER',8,0,0,0,'CONTRACT','CONTRACTNUM',0,0,'This is the contract under which the item is currently designated as GFP.',NULL,'GFP Contract',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPPRICONTRACTCAGE','PLUSRPROPTRANS','GFPPRICONTRACTCAGE','GFPPRICONTRACTCAGE',NULL,1009,'ALN',9,0,0,0,NULL,NULL,0,0,'The 5-character CAGE Code of the Prime Contractor specified in the GFP contract.  At least one of CAGE, DoDAAC, and DUNS must be reported Custody Changes.',NULL,'GFP Prime Contractor Cage',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPPRICONTRDODAAC','PLUSRPROPTRANS','GFPPRICONTRDODAAC','GFPPRICONTRDODAAC',NULL,1010,'ALN',6,0,0,0,NULL,NULL,0,0,'The 6-character DODAAC Code of the Prime Contractor specified in the GFP contract.  At least one of CAGE, DoDAAC, and DUNS must be reported for Custody Changes.',NULL,'GFP Prime Contractor DODAAC',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPPRICONTRACTDUNS','PLUSRPROPTRANS','GFPPRICONTRACTDUNS','GFPPRICONTRACTDUNS',NULL,1011,'ALN',9,0,0,0,NULL,NULL,0,0,'The 9-digit DUNS Code of the Prime Contractor specified in the GFP contract.  At least one of CAGE, DoDAAC, and DUNS must be reported Custody Changes.',NULL,'GFP Prime Contractor DUNS',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ISSUEAGENCYCODE','PLUSRPROPTRANS','ISSUEAGENCYCODE','ISSUEAGENCYCODE',NULL,1012,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which code was used in the Enterprise Identifier.  Required if UID Type is UID1 or UID2.  Values: D - CAGE, LB - ANSI T1.220, LD - DoDAAC, LH - EHIBCC, UN - DUNS, 0, 1, 2, 3, 4, 5, 6, 7, 8 or 9 - EAN.UCC Company Prefix',NULL,'Issue Agency Code',NULL,1,0,'PLUSRUIIIAC',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ITEMTYPE','PLUSRPROPTRANS','ITEMTYPE','ITEMTYPE',NULL,1014,'UPPER',3,0,0,0,NULL,NULL,0,0,'Flag that identifies the item as an end item or an embedded item.  Select from the following list:END ofr EMB',NULL,'Item Type',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKCONTENTS','PLUSRPROPTRANS','MARKCONTENTS','MARKCONTENTS',NULL,1015,'ALN',25,0,0,0,NULL,NULL,0,0,'What has been recorded on or with the item such as "UID", "Serial Number", "Internal Number", etc.  For UII, must contain "UID".  All non-UII markings must be marked physically on the item.',NULL,'Mark Contents',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKERCODE','PLUSRPROPTRANS','MARKERCODE','MARKERCODE',NULL,1016,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which code was used in the Manufacturer Identifier.  Required if Manufacturer Identifier is provided.  Values: D - CAGE LB - ANSI T1.220, LD - DoDAAC, LH - EHIBCC, UN - DUNS 0, 1, 2, 3, 4, 5, 6, 7, 8 or 9 - EAN.UCC Company Prefix',NULL,'Marker Code',NULL,1,0,'PLUSRUIIIAC',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKGRADE','PLUSRPROPTRANS','MARKGRADE','MARKGRADE',NULL,1017,'UPPER',1,0,0,0,NULL,NULL,0,0,'Optional.  When Mark Method is INT, use one of the following: F - Fail, P - Pass,  When Mark Method is NON, use one of the following: A B C D E',NULL,'Mark Grade',NULL,1,0,'PLUSRUIMARKGRADE',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKMETHOD','PLUSRPROPTRANS','MARKMETHOD','MARKMETHOD',NULL,1019,'UPPER',3,0,0,0,NULL,NULL,0,0,'Optional.  Must be one of the following:    INT - Intrusive     NON - Non-Intrusive',NULL,'Mark Method',NULL,1,0,'PLUSRUIIMARK',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MEDIUMCODE','PLUSRPROPTRANS','MEDIUMCODE','MEDIUMCODE',NULL,1020,'UPPER',25,0,0,0,NULL,NULL,0,0,'The method used to associate the mark identified in Mark Contents with the item.  The codes provide information on what is needed to read the mark.  The available codes are: "2D COMPLIANT"  "NONCOMPLIANT DATA MATRIX" "HUMAN READABLE" "CMB" "PDF417" "BARCODE"  "RFID" - If the UII is by association only, not physically marked, use "DEFINED".  "DEFINED" can only be used when the Contents contains "UID".  - When the UII is physically marked with a 2D Data Matrix in accordance with DoD policy, ISO/IEC 15434, use "2D COMPLIANT".',NULL,'Medium Code',NULL,1,0,'PLUSRMEDIUM',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MFGCODE','PLUSRPROPTRANS','MFGCODE','MFGCODE',NULL,1021,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which code was used in the Manufacturer Identifier.  Required if Manufacturer Identifier is provided.  Values: D - CAGE LB - ANSI T1.220, LD - DoDAAC, LH - EHIBCC, UN - DUNS 0, 1, 2, 3, 4, 5, 6, 7, 8 or 9 - EAN.UCC Company Prefix',NULL,'Manufacturing Code',NULL,1,0,'PLUSRUIIIAC',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MFGID','PLUSRPROPTRANS','MFGID','MFGID',NULL,1022,'ALN',13,0,0,0,NULL,NULL,0,0,'Code identifying the Manufacturer that produced the item if different from the Enterprise Identifier',NULL,'Manufacturing ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PARENTUII','PLUSRPROPTRANS','PARENTUII','PARENTUII',NULL,1024,'ALN',100,0,0,0,'ASSET','PLUSRUII',0,0,'The UII of the item that the item is embedded in.',NULL,'Parent UII',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PLUSRUPLOADFILEID','PLUSRPROPTRANS','PLUSRUPLOADFILEID','PLUSRUPLOADFILEID',NULL,1025,'INTEGER',12,0,0,0,'PLUSRUPLOADFILE','PLUSRUPLOADFILEID',1,0,'The Record from UPLOADFILE when STAUS is SET to COMP',NULL,'Up Load File ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','POPTYPE','PLUSRPROPTRANS','POPTYPE','POPTYPE',NULL,1028,'UPPER',15,0,0,0,NULL,NULL,0,0,'Flag that identifies the population an item belongs to.  Select from the following list:   NEW - Newly purchased item  LEG - Government owned item in the custody  of a government entity PPC - Government owned item in the custody of a contractor',NULL,'Population Type',NULL,1,0,'PLUSRPOP',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PRIMECONTRACTOR','PLUSRPROPTRANS','PRIMECONTRACTOR','PRIMECONTRACTOR',NULL,1029,'ALN',9,0,0,0,NULL,NULL,0,0,'The 9 digit DUNS or 5 character CAGE of the contractor that is responsible for reporting all UIIs of the delivered items to the Government.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Prime Contractor',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PRINTED','PLUSRPROPTRANS','PRINTED','PRINTED',NULL,1030,'YORN',1,0,1,0,NULL,NULL,1,0,'Default to 0','0','Printed',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','RDYPRINT','PLUSRPROPTRANS','RDYPRINT','RDYPRINT',NULL,1031,'YORN',1,0,1,0,NULL,NULL,1,0,'Default to 0','0','Ready to Print',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','RECEIVEDDATE','PLUSRPROPTRANS','RECEIVEDDATE','RECEIVEDDATE',NULL,1032,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date the item is received by the Contractor.',NULL,'Receive Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','SENTDATE','PLUSRPROPTRANS','SENTDATE','SENTDATE',NULL,1033,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date the item is sent to the Contractor.',NULL,'Sent Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','SHIPPEDTOCODE','PLUSRPROPTRANS','SHIPPEDTOCODE','SHIPPEDTOCODE',NULL,1035,'ALN',20,0,0,0,NULL,NULL,0,0,'DODAAC or other code representing the location the item was shipped to.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Shipped to Code',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','STATUSDATE','PLUSRPROPTRANS','STATUSDATE','STATUSDATE',NULL,1036,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Date of Current Status',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','TYPE','PLUSRPROPTRANS','TYPE','TYPE',NULL,1038,'UPPER',10,0,0,0,NULL,NULL,1,0,'Indicated the Type of Transaction to be Rerported',NULL,'Transaction Type',NULL,1,0,'PLUSRTRANSTYPE',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','UIITYPE','PLUSRPROPTRANS','UIITYPE','UIITYPE',NULL,1039,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which method has been used to uniquely identify an Values: UID1 - UID Construct 1, UID2 - UID Construct 2, VIN - Vehicle Identification Number, GRAI - Global Returnable Asset Identifier, GIAI - Global Individual Asset Identifier, ESN - Electronic Serial Number, OTHER - For UIIs without an assigned UII Type',NULL,'UII Type',NULL,1,0,'PLUSRUIITYPEPROP',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','UNITOFMEASURE','PLUSRPROPTRANS','UNITOFMEASURE','UNITOFMEASURE',NULL,1040,'UPPER',8,0,0,0,'MEASUREUNIT','MEASUREUNITID',0,0,'Unit of Measure associated with the Acquisition Cost of the item.  Required from Vendors for new procurement; not required when reporting legacy  or embedded items.  (For list of codes, see ASC X12 Standards Element 355.)',NULL,'Unit of Measure',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','REPORTNUM','PLUSRPROPTRANS','REPORTNUM','REPORTNUM',NULL,1041,'UPPER',12,0,0,0,'PLUSRHEADER','REPORTNUM',1,0,'Report Number',NULL,'Report Number',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','STATUS','PLUSRPROPTRANS','STATUS','STATUS',NULL,1042,'UPPER',16,0,0,0,NULL,NULL,0,0,'Status',NULL,'Status',NULL,1,0,'WOSTATUS',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ENTERPRISEID','PLUSRPROPTRANS','ENTERPRISEID','ENTERPRISEID',NULL,1043,'UPPER',25,0,0,0,'ASSET','PLUSRUIIEID',0,0,'Code identifying the Enterprise that assigned the item with the UID data elements.  If UII Type is UID1 or UID2, this is the same Enterprise Identifier that was used in the construct.  Required if UII Type is UID1 or UID2.',NULL,'Enterprise ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','BATCHLOT','PLUSRPROPTRANS','BATCHLOT','BATCHLOT',NULL,1044,'UPPER',30,0,0,0,'ASSET','PLUSRUIILOTBATCH',0,0,'The batch/lot identification of the item if applicable.  Required if the UII Type is UID2 and the Lot/Batch was used within the UII.',NULL,'Batch Lot',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ORIGINALPARTNUM','PLUSRPROPTRANS','ORIGINALPARTNUM','ORIGINALPARTNUM',NULL,1045,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'The Enterprise assigned Part Number corresponding to the assigned UII.  Required if the UII Type is UID2 and the Part Number was used within the UII.',NULL,'Original Part',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransOriginalPartNum',0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','SERIALNUM','PLUSRPROPTRANS','SERIALNUM','SERIALNUM',NULL,1046,'UPPER',15,0,0,0,'ASSET','SERIALNUM',0,0,'The Enterprise assigned Serial Number corresponding to the assigned UII.  The serial number may be within the Enterprise or within the Original Part Number.  Required if UII Type is UID1 or UID2.',NULL,'Serial',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PONUM','PLUSRPROPTRANS','PONUM','PONUM',NULL,1047,'UPPER',8,0,0,0,'PO','PONUM',0,0,'Contract number under which the item was procured.  This is a unique identifier for the contract, purchase order, BOA, Basic Agreement, or BPA and includes the delivery order, task order, and call number as appropriate.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'PO',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransPONum',0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','POLINE','PLUSRPROPTRANS','POLINE','POLINE',NULL,1048,'ALN',8,0,0,0,NULL,NULL,0,0,'The purchase contract line item.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'PO Line',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','BAGTAGCODE','PLUSRPROPTRANS','BAGTAGCODE','BAGTAGCODE',NULL,1049,'UPPER',1,0,0,0,'ASSET','PLUSRUIIBAGGTAGG',0,0,'Y if mark applied according to the Bag and Tag Business Rules else "N".',NULL,'Bag Tag Code',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','TOMARKDATE','PLUSRPROPTRANS','TOMARKDATE','TOMARKDATE',NULL,1050,'DATETIME',10,0,0,0,'ASSET','PLUSRUIIAFFIXDATE',0,0,'The date the mark was associated with or physically marked on the item.  If the UII was defined for the item but not physically attached (Medium Code contains ''DEFINED''), it is the date the UII is associated with the item.',NULL,'To Mark Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKIDENTIFIER','PLUSRPROPTRANS','MARKIDENTIFIER','MARKIDENTIFIER',NULL,1051,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Code identifying the Entity that placed the mark on or associated the mark with the item.',NULL,'Mark Identifier',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransMarkIdentifier',0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACQUISITIONCOST','PLUSRPROPTRANS','ACQUISITIONCOST','ACQUISITIONCOST',NULL,1052,'AMOUNT',10,2,0,0,'PLUSRPROPTRANS','TOPRICE',0,0,'Unit Price as defined in the procurement contract or as defined at delivery by the contractor.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Acquisition Cost',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ASSETNUM','PLUSRPROPTRANS','ASSETNUM','ASSETNUM',NULL,1053,'UPPER',12,0,0,0,'ASSET','ASSETNUM',0,0,'Asset',NULL,'Asset',NULL,1,0,NULL,'psdi.app.asset.FldAssetnum',0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ITEMNUM','PLUSRPROPTRANS','ITEMNUM','ITEMNUM',NULL,1054,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'Item',NULL,'Item',NULL,1,0,NULL,'psdi.app.item.FldItemnum',0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACCEPTANCEDATE','PLUSRPROPTRANS','ACCEPTANCEDATE','ACCEPTANCEDATE',NULL,990,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date that the item is accepted by the Government entity.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Acceptance Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACCEPTANCECODE','PLUSRPROPTRANS','ACCEPTANCECODE','ACCEPTANCECODE',NULL,991,'ALN',6,0,0,0,NULL,NULL,0,0,'DoDAAC of the Government entity that accepted the item.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Acceptance Code',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACTION','PLUSRPROPTRANS','ACTION','ACTION',NULL,993,'UPPER',3,0,0,0,NULL,NULL,0,0,'Identifies the action taken against a mark. Select from the following ist: ADD - Mark is added, not previously reported, RMV - Mark is removed (Only available if  RecordType = "E") RPL - Associated UII Mark is replaced with a  physical mark. (Only available if  RecordType = "E")',NULL,'Action',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACTIONTYPE','PLUSRPROPTRANS','ACTIONTYPE','ACTIONTYPE',NULL,994,'UPPER',3,0,0,0,NULL,NULL,0,0,'Identifies the action taken when an item is moved from one location or contract to another. Select from the following list: SND - Provides the ship date only REC - Provides the received date only BTH - Provides the ship date and received BOTH',NULL,'Action Type',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACTIVITYTYPE','PLUSRPROPTRANS','ACTIVITYTYPE','ACTIVITYTYPE',NULL,995,'UPPER',3,0,0,0,NULL,NULL,0,0,'Identifies the type of custody change that is being recorded.  Select from the following list:  GFP',NULL,'Activity Type',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CATEGORYCODE','PLUSRPROPTRANS','CATEGORYCODE','CATEGORYCODE',NULL,999,'UPPER',1,0,0,0,NULL,NULL,0,0,'"Used when recording change in custody of GFP.  Must be one of the following codes  ""E"" - Equipment: A tangible article of personal property that is complete in-and-of itself, durable, nonexpendable, and needed for the performance of a contract.  Equipment generally has an expected service life of one year or more, and does not ordinarily lose its identity or become a component part of another article when put into use.
 
""M"" - Material: Property that may be consumed or expended during the performance of a contract, component parts of a higher assembly, or items that lose their individual identity through incorporation into an end-item.  Material does not include Equipment, Special Tooling, Special Test Equipment, or Unique Federal Property."',NULL,'Category Code',NULL,1,0,'PLUSRCATCODE',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','COMPLIANTMARK','PLUSRPROPTRANS','COMPLIANTMARK','COMPLIANTMARK',NULL,1000,'YORN',1,0,1,0,NULL,NULL,1,0,'Flag that states whether the UII is marked on the item in compliance with IUID Policy. Select from the following list: Y - Marked in compliance; N - Not marked in compliance','0','Compliant Mark',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','COUNT','PLUSRPROPTRANS','COUNT','COUNT',NULL,1001,'INTEGER',12,0,1,0,NULL,NULL,1,0,'Default Value is 0, will increment by 1 for each Row here TYPE is NOT NULL','0','UII Count',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CURRENCYCODE','PLUSRPROPTRANS','CURRENCYCODE','CURRENCYCODE',NULL,1002,'UPPER',8,0,0,0,'CURRENCY','CURRENCYCODE',0,0,'International Organization of Standardization code from ISO 4217 representing the currency unit of Acquisition Cost.  Will default to "USD" if Acquisition Cost is provided and Foreign Currency Code is not.',NULL,'Currency Code',NULL,1,0,NULL,'psdi.app.currency.FldCurrencyCode',0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CURRENTPARTDATE','PLUSRPROPTRANS','CURRENTPARTDATE','CURRENTPARTDATE',NULL,1003,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date the item was modified or changed to the current part number from a previous part number.  Must be provided if Current Part Number is provided.',NULL,'Current Part Number Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','CURRENTPARTNUMBER','PLUSRPROPTRANS','CURRENTPARTNUMBER','CURRENTPARTNUMBER',NULL,1004,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'Used only if the item''s current part number is different from the Original Part Number.  Must be provided if Current Part Number Effective Date is provided.',NULL,'Current Part Number',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransCurrentPartNumber',0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','DIRECTIONFLAG','PLUSRPROPTRANS','DIRECTIONFLAG','DIRECTIONFLAG',NULL,1006,'UPPER',1,0,0,0,NULL,NULL,0,0,'Identifies the recipient of the item when it is moved from one location or contract to another.  Select from the following list: G- Government C-Contractor',NULL,'Direction Flag',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPCONTRACTNUMBER','PLUSRPROPTRANS','GFPCONTRACTNUMBER','GFPCONTRACTNUMBER',NULL,1008,'UPPER',8,0,0,0,'CONTRACT','CONTRACTNUM',0,0,'This is the contract under which the item is currently designated as GFP.',NULL,'GFP Contract',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPPRICONTRACTCAGE','PLUSRPROPTRANS','GFPPRICONTRACTCAGE','GFPPRICONTRACTCAGE',NULL,1009,'ALN',9,0,0,0,NULL,NULL,0,0,'The 5-character CAGE Code of the Prime Contractor specified in the GFP contract.  At least one of CAGE, DoDAAC, and DUNS must be reported Custody Changes.',NULL,'GFP Prime Contractor Cage',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPPRICONTRDODAAC','PLUSRPROPTRANS','GFPPRICONTRDODAAC','GFPPRICONTRDODAAC',NULL,1010,'ALN',6,0,0,0,NULL,NULL,0,0,'The 6-character DODAAC Code of the Prime Contractor specified in the GFP contract.  At least one of CAGE, DoDAAC, and DUNS must be reported for Custody Changes.',NULL,'GFP Prime Contractor DODAAC',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','GFPPRICONTRACTDUNS','PLUSRPROPTRANS','GFPPRICONTRACTDUNS','GFPPRICONTRACTDUNS',NULL,1011,'ALN',9,0,0,0,NULL,NULL,0,0,'The 9-digit DUNS Code of the Prime Contractor specified in the GFP contract.  At least one of CAGE, DoDAAC, and DUNS must be reported Custody Changes.',NULL,'GFP Prime Contractor DUNS',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ISSUEAGENCYCODE','PLUSRPROPTRANS','ISSUEAGENCYCODE','ISSUEAGENCYCODE',NULL,1012,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which code was used in the Enterprise Identifier.  Required if UID Type is UID1 or UID2.  Values: D - CAGE, LB - ANSI T1.220, LD - DoDAAC, LH - EHIBCC, UN - DUNS, 0, 1, 2, 3, 4, 5, 6, 7, 8 or 9 - EAN.UCC Company Prefix',NULL,'Issue Agency Code',NULL,1,0,'PLUSRUIIIAC',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ITEMTYPE','PLUSRPROPTRANS','ITEMTYPE','ITEMTYPE',NULL,1014,'UPPER',3,0,0,0,NULL,NULL,0,0,'Flag that identifies the item as an end item or an embedded item.  Select from the following list:END ofr EMB',NULL,'Item Type',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKCONTENTS','PLUSRPROPTRANS','MARKCONTENTS','MARKCONTENTS',NULL,1015,'ALN',25,0,0,0,NULL,NULL,0,0,'What has been recorded on or with the item such as "UID", "Serial Number", "Internal Number", etc.  For UII, must contain "UID".  All non-UII markings must be marked physically on the item.',NULL,'Mark Contents',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKERCODE','PLUSRPROPTRANS','MARKERCODE','MARKERCODE',NULL,1016,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which code was used in the Manufacturer Identifier.  Required if Manufacturer Identifier is provided.  Values: D - CAGE LB - ANSI T1.220, LD - DoDAAC, LH - EHIBCC, UN - DUNS 0, 1, 2, 3, 4, 5, 6, 7, 8 or 9 - EAN.UCC Company Prefix',NULL,'Marker Code',NULL,1,0,'PLUSRUIIIAC',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKGRADE','PLUSRPROPTRANS','MARKGRADE','MARKGRADE',NULL,1017,'UPPER',1,0,0,0,NULL,NULL,0,0,'Optional.  When Mark Method is INT, use one of the following: F - Fail, P - Pass,  When Mark Method is NON, use one of the following: A B C D E',NULL,'Mark Grade',NULL,1,0,'PLUSRUIMARKGRADE',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKMETHOD','PLUSRPROPTRANS','MARKMETHOD','MARKMETHOD',NULL,1019,'UPPER',3,0,0,0,NULL,NULL,0,0,'Optional.  Must be one of the following:    INT - Intrusive     NON - Non-Intrusive',NULL,'Mark Method',NULL,1,0,'PLUSRUIIMARK',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MEDIUMCODE','PLUSRPROPTRANS','MEDIUMCODE','MEDIUMCODE',NULL,1020,'UPPER',25,0,0,0,NULL,NULL,0,0,'The method used to associate the mark identified in Mark Contents with the item.  The codes provide information on what is needed to read the mark.  The available codes are: "2D COMPLIANT"  "NONCOMPLIANT DATA MATRIX" "HUMAN READABLE" "CMB" "PDF417" "BARCODE"  "RFID" - If the UII is by association only, not physically marked, use "DEFINED".  "DEFINED" can only be used when the Contents contains "UID".  - When the UII is physically marked with a 2D Data Matrix in accordance with DoD policy, ISO/IEC 15434, use "2D COMPLIANT".',NULL,'Medium Code',NULL,1,0,'PLUSRMEDIUM',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MFGCODE','PLUSRPROPTRANS','MFGCODE','MFGCODE',NULL,1021,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which code was used in the Manufacturer Identifier.  Required if Manufacturer Identifier is provided.  Values: D - CAGE LB - ANSI T1.220, LD - DoDAAC, LH - EHIBCC, UN - DUNS 0, 1, 2, 3, 4, 5, 6, 7, 8 or 9 - EAN.UCC Company Prefix',NULL,'Manufacturing Code',NULL,1,0,'PLUSRUIIIAC',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MFGID','PLUSRPROPTRANS','MFGID','MFGID',NULL,1022,'ALN',13,0,0,0,NULL,NULL,0,0,'Code identifying the Manufacturer that produced the item if different from the Enterprise Identifier',NULL,'Manufacturing ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PARENTUII','PLUSRPROPTRANS','PARENTUII','PARENTUII',NULL,1024,'ALN',100,0,0,0,'ASSET','PLUSRUII',0,0,'The UII of the item that the item is embedded in.',NULL,'Parent UII',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PLUSRUPLOADFILEID','PLUSRPROPTRANS','PLUSRUPLOADFILEID','PLUSRUPLOADFILEID',NULL,1025,'INTEGER',12,0,0,0,'PLUSRUPLOADFILE','PLUSRUPLOADFILEID',1,0,'The Record from UPLOADFILE when STAUS is SET to COMP',NULL,'Up Load File ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','POPTYPE','PLUSRPROPTRANS','POPTYPE','POPTYPE',NULL,1028,'UPPER',15,0,0,0,NULL,NULL,0,0,'Flag that identifies the population an item belongs to.  Select from the following list:   NEW - Newly purchased item  LEG - Government owned item in the custody  of a government entity PPC - Government owned item in the custody of a contractor',NULL,'Population Type',NULL,1,0,'PLUSRPOP',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PRIMECONTRACTOR','PLUSRPROPTRANS','PRIMECONTRACTOR','PRIMECONTRACTOR',NULL,1029,'ALN',9,0,0,0,NULL,NULL,0,0,'The 9 digit DUNS or 5 character CAGE of the contractor that is responsible for reporting all UIIs of the delivered items to the Government.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Prime Contractor',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PRINTED','PLUSRPROPTRANS','PRINTED','PRINTED',NULL,1030,'YORN',1,0,1,0,NULL,NULL,1,0,'Default to 0','0','Printed',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','RDYPRINT','PLUSRPROPTRANS','RDYPRINT','RDYPRINT',NULL,1031,'YORN',1,0,1,0,NULL,NULL,1,0,'Default to 0','0','Ready to Print',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','RECEIVEDDATE','PLUSRPROPTRANS','RECEIVEDDATE','RECEIVEDDATE',NULL,1032,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date the item is received by the Contractor.',NULL,'Receive Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','SENTDATE','PLUSRPROPTRANS','SENTDATE','SENTDATE',NULL,1033,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date the item is sent to the Contractor.',NULL,'Sent Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','SHIPPEDTOCODE','PLUSRPROPTRANS','SHIPPEDTOCODE','SHIPPEDTOCODE',NULL,1035,'ALN',20,0,0,0,NULL,NULL,0,0,'DODAAC or other code representing the location the item was shipped to.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Shipped to Code',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','STATUSDATE','PLUSRPROPTRANS','STATUSDATE','STATUSDATE',NULL,1036,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Date of Current Status',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','TYPE','PLUSRPROPTRANS','TYPE','TYPE',NULL,1038,'UPPER',10,0,0,0,NULL,NULL,1,0,'Indicated the Type of Transaction to be Rerported',NULL,'Transaction Type',NULL,1,0,'PLUSRTRANSTYPE',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','UIITYPE','PLUSRPROPTRANS','UIITYPE','UIITYPE',NULL,1039,'UPPER',25,0,0,0,NULL,NULL,0,0,'Designator to indicate which method has been used to uniquely identify an Values: UID1 - UID Construct 1, UID2 - UID Construct 2, VIN - Vehicle Identification Number, GRAI - Global Returnable Asset Identifier, GIAI - Global Individual Asset Identifier, ESN - Electronic Serial Number, OTHER - For UIIs without an assigned UII Type',NULL,'UII Type',NULL,1,0,'PLUSRUIITYPEPROP',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','UNITOFMEASURE','PLUSRPROPTRANS','UNITOFMEASURE','UNITOFMEASURE',NULL,1040,'UPPER',8,0,0,0,'MEASUREUNIT','MEASUREUNITID',0,0,'Unit of Measure associated with the Acquisition Cost of the item.  Required from Vendors for new procurement; not required when reporting legacy  or embedded items.  (For list of codes, see ASC X12 Standards Element 355.)',NULL,'Unit of Measure',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','REPORTNUM','PLUSRPROPTRANS','REPORTNUM','REPORTNUM',NULL,1041,'UPPER',12,0,0,0,'PLUSRHEADER','REPORTNUM',1,0,'Report Number',NULL,'Report Number',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','STATUS','PLUSRPROPTRANS','STATUS','STATUS',NULL,1042,'UPPER',16,0,0,0,NULL,NULL,0,0,'Status',NULL,'Status',NULL,1,0,'WOSTATUS',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ENTERPRISEID','PLUSRPROPTRANS','ENTERPRISEID','ENTERPRISEID',NULL,1043,'UPPER',25,0,0,0,'ASSET','PLUSRUIIEID',0,0,'Code identifying the Enterprise that assigned the item with the UID data elements.  If UII Type is UID1 or UID2, this is the same Enterprise Identifier that was used in the construct.  Required if UII Type is UID1 or UID2.',NULL,'Enterprise ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','BATCHLOT','PLUSRPROPTRANS','BATCHLOT','BATCHLOT',NULL,1044,'UPPER',30,0,0,0,'ASSET','PLUSRUIILOTBATCH',0,0,'The batch/lot identification of the item if applicable.  Required if the UII Type is UID2 and the Lot/Batch was used within the UII.',NULL,'Batch Lot',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ORIGINALPARTNUM','PLUSRPROPTRANS','ORIGINALPARTNUM','ORIGINALPARTNUM',NULL,1045,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'The Enterprise assigned Part Number corresponding to the assigned UII.  Required if the UII Type is UID2 and the Part Number was used within the UII.',NULL,'Original Part',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransOriginalPartNum',0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','SERIALNUM','PLUSRPROPTRANS','SERIALNUM','SERIALNUM',NULL,1046,'UPPER',15,0,0,0,'ASSET','SERIALNUM',0,0,'The Enterprise assigned Serial Number corresponding to the assigned UII.  The serial number may be within the Enterprise or within the Original Part Number.  Required if UII Type is UID1 or UID2.',NULL,'Serial',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','PONUM','PLUSRPROPTRANS','PONUM','PONUM',NULL,1047,'UPPER',8,0,0,0,'PO','PONUM',0,0,'Contract number under which the item was procured.  This is a unique identifier for the contract, purchase order, BOA, Basic Agreement, or BPA and includes the delivery order, task order, and call number as appropriate.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'PO',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransPONum',0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','POLINE','PLUSRPROPTRANS','POLINE','POLINE',NULL,1048,'ALN',8,0,0,0,NULL,NULL,0,0,'The purchase contract line item.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'PO Line',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','BAGTAGCODE','PLUSRPROPTRANS','BAGTAGCODE','BAGTAGCODE',NULL,1049,'UPPER',1,0,0,0,'ASSET','PLUSRUIIBAGGTAGG',0,0,'Y if mark applied according to the Bag and Tag Business Rules else "N".',NULL,'Bag Tag Code',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','TOMARKDATE','PLUSRPROPTRANS','TOMARKDATE','TOMARKDATE',NULL,1050,'DATETIME',10,0,0,0,'ASSET','PLUSRUIIAFFIXDATE',0,0,'The date the mark was associated with or physically marked on the item.  If the UII was defined for the item but not physically attached (Medium Code contains ''DEFINED''), it is the date the UII is associated with the item.',NULL,'To Mark Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','MARKIDENTIFIER','PLUSRPROPTRANS','MARKIDENTIFIER','MARKIDENTIFIER',NULL,1051,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Code identifying the Entity that placed the mark on or associated the mark with the item.',NULL,'Mark Identifier',NULL,1,0,NULL,'psdi.plusr.app.plusrprop.PlusRFldPropTransMarkIdentifier',0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ACQUISITIONCOST','PLUSRPROPTRANS','ACQUISITIONCOST','ACQUISITIONCOST',NULL,1052,'AMOUNT',10,2,0,0,'PLUSRPROPTRANS','TOPRICE',0,0,'Unit Price as defined in the procurement contract or as defined at delivery by the contractor.  Required from Vendors for new procurement; not required when reporting legacy or embedded items.',NULL,'Acquisition Cost',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ASSETNUM','PLUSRPROPTRANS','ASSETNUM','ASSETNUM',NULL,1053,'UPPER',12,0,0,0,'ASSET','ASSETNUM',0,0,'Asset',NULL,'Asset',NULL,1,0,NULL,'psdi.app.asset.FldAssetnum',0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRPROPTRANS','ITEMNUM','PLUSRPROPTRANS','ITEMNUM','ITEMNUM',NULL,1054,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'Item',NULL,'Item',NULL,1,0,NULL,'psdi.app.item.FldItemnum',0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSRASSET','PLUSRPROPTRANS','ASSET','assetnum = :assetnum and siteid = :siteid','Relationship to find the Asset associated with a Property Transaction',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRPROP','PLUSCRUPDT','Property Upload Details Files',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRPROP',
                                                                                'PLUSCRUPDT',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRPROP')
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSRPROP',40,40,'OPTION','PLUSCRUPDT',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSRVHEADER','PLUSRPROPERTY','PLUSRVHEADER',NULL,'Relationship to PlusRVHeader table',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSRVPROPERTY','PLUSRVHEADER','PLUSRVPROPERTY',NULL,'Relationship to PlusRVProperty table',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,MAXRELATIONSHIPID) VALUES ('PLUSRHEADER','PLUSRVHEADER','PLUSRHEADER','reportnum = :reportnum',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

--*[300108]Translation Ratio: 100% (111/111 statements were translated successfully)