INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRUPLOADFILE','ATTACHFLAG',NULL,NULL,'ATTACHFLAG',NULL,990,'YORN',1,0,1,0,NULL,NULL,0,0,'Flag used in Attachments dialog to limit only 1 attachment per record',NULL,'Attach Flag',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSRUPLOADFILE','ATTACHFLAG',NULL,NULL,'ATTACHFLAG',NULL,990,'YORN',1,0,1,0,NULL,NULL,0,0,'Flag used in Attachments dialog to limit only 1 attachment per record',NULL,'Attach Flag',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;


INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSRDIRECTIONFLAG','Direction Flag','SYNONYM','UPPER',1,NULL,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>376','PLUSRDIRECTIONFLAG','G','G','Government',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>377','PLUSRDIRECTIONFLAG','K','K','Contractor',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

UPDATE MAXATTRIBUTE SET DOMAINID = 'PLUSRDIRECTIONFLAG' WHERE OBJECTNAME = 'PLUSRPROPTRANS' AND ATTRIBUTENAME = 'DIRECTIONFLAG'
;

UPDATE MAXATTRIBUTECFG SET DOMAINID  = 'PLUSRDIRECTIONFLAG' WHERE OBJECTNAME = 'PLUSRPROPTRANS' AND ATTRIBUTENAME = 'DIRECTIONFLAG'
;

UPDATE MAXMENU SET IMAGE = 'modimg_plusrprop.gif' WHERE KEYVALUE = 'PLUSRPROP' AND MENUTYPE = 'MODULE' AND ELEMENTTYPE = 'MODULE'
;

UPDATE MAXMENU SET IMAGE = 'appimg_plusrprop.gif' WHERE KEYVALUE = 'PLUSRPROP' AND MENUTYPE = 'MODULE' AND ELEMENTTYPE = 'APP'
;

UPDATE MAXMENU SET IMAGE = 'appimg_plusrgvcon.gif' WHERE KEYVALUE = 'PLUSRGVCON' AND MENUTYPE = 'MODULE' AND ELEMENTTYPE = 'APP'
;

INSERT INTO MAXRELATIONSHIP (NAME, PARENT, CHILD, WHERECLAUSE, REMARKS, MAXRELATIONSHIPID) VALUES ('PLUSRMISSINGUII', 'PLUSRPROPERTY', 'ASSET', 'assetnum = :assetnum and siteid = :siteid and plusruiirequired = :yes and (plusruii is null or plusruiimark is null)', 'Relationship used on Assign / Mark UII dialog', NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME, PARENT, CHILD, WHERECLAUSE, REMARKS, MAXRELATIONSHIPID) VALUES ('PLUSRMISSINGUII', 'PLUSRGOVCONTRACT', 'ASSET', 'plusruiirequired = :yes and (plusruii is null or plusruiimark is null) and exists (select 1 from plusrproperty where contractnum = :contractnum and orgid = :orgid and assetnum = asset.assetnum and asset.status not in (select value from synonymdomain where domainid = ''LOCASSETSTATUS'' and maxvalue = ''DECOMMISSIONED'') and quantity > 0)', 'Relationship used on Assign / Mark UII dialog', NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

