/**  ISSUE 07-28397 **/


update sigoption
set description = 'View Property History'
where app in ('PLUSRASSET', 'PLUSRCOMP', 'PLUSRGVCON', 'PLUSRINVTR', 'PLUSRITEM', 'PLUSRLOC' , 'PLUSRPERSN', 'PLUSRPROP', 'PLUSRSTORE') and
      optionname = 'PLUSRPRHIS'
;


/******************************************   PLUSRPROP *****************************************/
delete from maxmenu
where menutype = 'APPMENU' and elementtype = 'SEP' and moduleapp = 'PLUSRPROP' and keyvalue in ('AM30', 'AM50')
;
update maxmenu
set position = 20, headerdescription = 'UIIs', keyvalue = 'AM20'
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and position = 40 and elementtype = 'HEADER'
;
update maxmenu
set position = 20, subposition = 10
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRCAUII'
;
update maxmenu
set position = 20, subposition = 20
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRASUII'
;

update maxmenu
set position = 30, headerdescription = 'Property Transactions', keyvalue = 'AM30'
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and position = 60 and elementtype = 'HEADER'
;
update maxmenu
set position = 30, subposition = 10
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRCRTTR'
;
update maxmenu
set position = 30, subposition = 20
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRMINTR'
;
update sigoption
set description = 'Create Property Transactions'
where app = 'PLUSRPROP' and optionname = 'PLUSRCRTTR'
;

insert into maxmenu (menutype, moduleapp, position, subposition,elementtype, keyvalue, headerdescription, visible, image, accesskey, tabdisplay,maxmenuid)
values ('APPMENU','PLUSRPROP',40,0,'HEADER','AM40','Property Upload Files',1,NULL,NULL,'MAIN',NEXTVAL FOR maxmenuseq)
;
update maxmenu
set position = 40, subposition = 10
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRCRPLD'
;
update maxmenu
set position = 40, subposition = 20
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRVWPLD'
;
update sigoption
set description = 'Create Property Upload Files'
where app = 'PLUSRPROP' and optionname = 'PLUSRCRPLD'
;
update sigoption
set description = 'View Property Upload Files'
where app = 'PLUSRPROP' and optionname = 'PLUSRVWPLD'
;

insert into maxmenu (menutype, moduleapp, position, subposition,elementtype, keyvalue, headerdescription, visible, image, accesskey, tabdisplay,maxmenuid)
values ('APPMENU','PLUSRPROP',50,0,'HEADER','AM50','Property Transaction Reports',1,NULL,NULL,'MAIN',nextval for maxmenuseq)
;
update maxmenu
set position = 50, subposition = 10
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSCRUPDT'
;
update maxmenu
set position = 50, subposition = 20
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRVHEAD'
;
update maxmenu
set position = 50, subposition = 30
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSREHEAD'
;

update sigoption
set description = 'Create Property Transaction Reports'
where app = 'PLUSRPROP' and optionname = 'PLUSCRUPDT'
;
update sigoption
set description = 'View Property Transaction Reports'
where app = 'PLUSRPROP' and optionname = 'PLUSRVHEAD'
;
update sigoption
set description = 'Edit Property Transaction Reports'
where app = 'PLUSRPROP' and optionname = 'PLUSREHEAD'
;

update maxmenu
set position = 30, subposition = 30
where menutype = 'APPMENU' and moduleapp = 'PLUSRPROP' and keyvalue = 'PLUSRPRHIS'
;


