/**  ISSUE 07-28397 **/

/****** Add PLUSRNUPDT  sig option on app PLUSRPROP *****/

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSRPROP','PLUSRNUPDT','Run Property Transaction Reports',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSRPROP',
                                                                                'PLUSRNUPDT',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSRPROP')
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSRPROP',50,40,'OPTION','PLUSRNUPDT',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;


UPDATE MAXRELATIONSHIP
SET NAME = 'PLUSRMISSINGUII'
WHERE NAME = 'PLUSRASSET'
AND PARENT = 'ASSET'
AND CHILD = 'ASSET'
;




/** ISSUE 07-28792 **/

UPDATE SIGOPTION
SET DESCRIPTION = 'Create Property Upload Files'
WHERE OPTIONNAME = 'PLUSRCRPLD' AND APP = 'PLUSRPERSN' 
;

UPDATE SIGOPTION
SET DESCRIPTION = 'View Property Upload Files'
WHERE OPTIONNAME = 'PLUSRVWPLD' AND APP = 'PLUSRPERSN' 
;